commit:     388e4b75dbd00fa1d24f16d5f9f9a4c64296d93d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 17:40:08 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 18:49:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=388e4b75

sci-mathematics/coq: bump to 8.17.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/coq/Manifest          |   1 +
 sci-mathematics/coq/coq-8.17.0.ebuild | 103 ++++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/sci-mathematics/coq/Manifest b/sci-mathematics/coq/Manifest
index e3924dcd3a5d..10f780305d81 100644
--- a/sci-mathematics/coq/Manifest
+++ b/sci-mathematics/coq/Manifest
@@ -3,3 +3,4 @@ DIST coq-8.13.0.tar.gz 7010242 BLAKE2B 
bf9ec96b6698a2371be3164f65424a8ffb273252a
 DIST coq-8.15.2.tar.gz 7222794 BLAKE2B 
2f187982a56cb0a512af838ee321b245f9a44b0c32f5413aafcef8e5b7f933e9b05ba521c3e681a6c6973ca2b7ec5965a8b69b2febb978ce7cf246755187f656
 SHA512 
6a5487912dedb6e54145bf3f177a091cffe13429ba2f73db7c1cc241fe10e86340c968e19cefba7d680facce55f4e914cbd16a317264b109a6f9a01ec822a8c5
 DIST coq-8.16.0.tar.gz 7397421 BLAKE2B 
25b94002c4d1d1266ef948f0276df74d6a60c5b5100c7126232e0e33642be3ec14f33acfff5d0d5c17681676338374f694ca7c8c35200e522e480c3791f69dd8
 SHA512 
f324b68efcec0680a52c92d6e2fdd340a0e360e7d56d7fc3b4b781af3bec923d2fa2fdbb139b07d2253568a657a09c0d3da4cd5bdf984a6ab913e606056df4b3
 DIST coq-8.16.1.tar.gz 7401345 BLAKE2B 
fa6bbcd6b4ee29feaf7475f58193209afeae0bf8b6e3640f2f1cf40dfcee7d7f1fb3f371e8790b8d11c993b5f234e9175f1f5036a7286b7c6569720ddd3985f7
 SHA512 
e9c82f1a180c2e3946628e8e039999a1841397a5b4cd77f158de69876fa43b5c0f61ce76c510cc2b2f646a489110aea59da452b88ddd7850d1eab4105f1382f5
+DIST coq-8.17.0.tar.gz 7504612 BLAKE2B 
90ff0e187e13a6501580733f0e92dbaba0ddc520b418246c743f0c282e74cee3e1d69ad0249cddfd5b8f3ba363bc58cb91aad33d0936ae38afde0f4c97d47a72
 SHA512 
2f77bcb5211018b5d46320fd39fd34450eeb654aca44551b28bb50a2364398c4b34587630b6558db867ecfb63b246fd3e29dc2375f99967ff62bc002db9c3250

diff --git a/sci-mathematics/coq/coq-8.17.0.ebuild 
b/sci-mathematics/coq/coq-8.17.0.ebuild
new file mode 100644
index 000000000000..baa5f98e70ae
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.17.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+inherit desktop dune edo
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/
+       https://github.com/coq/coq/";
+SRC_URI="https://github.com/coq/coq/archive/V${MY_PV}.tar.gz
+       -> ${P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc gui +ocamlopt"
+
+RDEPEND="
+       dev-ml/zarith:=
+       || (
+               dev-ml/num
+               <dev-lang/ocaml-4.09.0[ocamlopt?]
+       )
+       gui? (
+               >=dev-ml/lablgtk-3.1.2:3=[sourceview,ocamlopt?]
+               >=dev-ml/lablgtk-sourceview-3.1.2:3=[ocamlopt?]
+       )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-ml/findlib
+       doc? (
+               >=dev-java/antlr-4.7:4
+               dev-python/antlr4-python3-runtime
+               dev-python/beautifulsoup4
+               dev-python/pexpect
+               dev-python/sphinx-rtd-theme
+               dev-python/sphinxcontrib-bibtex
+               dev-tex/latexmk
+               dev-texlive/texlive-fontsextra
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-xetex
+               media-fonts/freefont
+       )
+"
+
+DOCS=( CODE_OF_CONDUCT.md CONTRIBUTING.md CREDITS INSTALL.md README.md )
+
+src_configure() {
+       export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+
+       dune_packages=(
+               coq-core
+               coq-stdlib
+               coqide-server
+               coq
+       )
+       use gui && dune_packages+=( coqide )
+
+       emake clean
+
+       local -a myconf=(
+               -prefix /usr
+               -libdir /usr/$(get_libdir)/coq
+               -mandir /usr/share/man
+               -docdir /usr/share/doc/${PF}
+               -datadir /usr/share/coq
+               -configdir /etc/xdg/${PN}
+               -native-compiler $(usex ocamlopt yes no)
+       )
+       use debug && myconf+=( -debug )
+       edob sh ./configure "${myconf[@]}"
+}
+
+src_compile() {
+       emake DUNEOPT="--display=short --profile release" VERBOSE=1 dunestrap
+
+       dune-compile ${dune_packages[@]}
+
+       use doc && emake refman-html
+}
+
+src_install() {
+       dune-install ${dune_packages[@]}
+
+       if use gui ; then
+               make_desktop_entry coqide "Coq IDE" 
"${EPREFIX}/usr/share/coq/coq.png"
+       fi
+
+       # Dune installs into /usr/<libdir>/ocaml/<coq> but
+       # Coq wants /usr/<libdir>/<coq> ; symlink those directories
+       local sym
+       for sym in ${dune_packages[@]} ; do
+               dosym $(ocamlc -where)/${sym} /usr/$(get_libdir)/${sym}
+       done
+
+       einstalldocs
+}

Reply via email to